PPL 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Parma_Polyhedra_Library::Threshold_Watcher< Traits > Class Template Reference

A class of watchdogs controlling the exceeding of a threshold. More...

`#include <ppl.hh>`

List of all members.

## Detailed Description

### template<typename Traits>
class Parma_Polyhedra_Library::Threshold_Watcher< Traits >

A class of watchdogs controlling the exceeding of a threshold.

Template Parameters:

  Traits | A class to set data types and functions for the threshold handling. See `Parma_Polyhedra_Library::Weightwatch_Traits` for an example.

The documentation for this class was generated from the following file:

- ppl.hh